#include <utility.h>
#include "niswitch.h"

int main (void)
{
   ViSession instr;              /* Communication Channel */
   ViStatus status;           /* For checking errors */
   
   
   /* Begin by opening a communication channel to the instrument */
   status = niSwitch_init("SCXI1::4::MATRIX", VI_TRUE, VI_TRUE, &instr);
   if (status < VI_SUCCESS) 
      /* Error Initializing Interface...exiting */
      return -1;
   
   /* Close switch c0/r0 */
   status = niSwitch_Connect(instr, "c0", "r0");
   if (status < VI_SUCCESS) 
      /* Error Initializing Interface...exiting */
   return -1;
   Delay (2);
   
   /* Close switch c1/r2 */
   status = niSwitch_Connect(instr, "c1", "r2");
   if (status < VI_SUCCESS) 
      /* Error Initializing Interface...exiting */
   return -1;
   Delay (2);
   
   /* Close switch c5/r3 */
   status = niSwitch_Connect(instr, "c5", "r3");
   if (status < VI_SUCCESS) 
      /* Error Initializing Interface...exiting */
   return -1;
   Delay (2);
   
   /* Close communication channel */
   status = niSwitch_close(instr);
   return 0;
 }
